Subject: Re: [PATCH] generate COFF zImage in arch/powerpc/boot

From: Olaf Hering <[email-masked]>
Date: Wed, 23 Nov 2005 23:58:18 +0100

On Wed, Nov 23, Olaf Hering wrote:

>  On Thu, Nov 24, Paul Mackeras wrote:
> 
> > Olaf Hering writes:
> > 
> > > It just died while uncompressing vmlinux. Some unaligned load.
> > > So we either need a very simple byte by byte memcpy, or my version below.
> > 
> > This should achieve the same effect and is quite a bit simpler.  Your
> > version looks a bit strange - it copies 1-3 bytes to align the source
> > pointer, then copies 1-3 bytes to align the destination pointer, then
> > if the source pointer isn't aligned it goes back and tries again... :)
> 
> Maybe I miss the point, but if the src is unaligned, and we align it,
> dest will change as well and may be unaligned?

Oh yes, it starts with dest. So everything is alright.

-- 
short story of a lazy sysadmin:
 alias appserv=wotan